admin_gateways_klarna_credentials_put
curl --request PUT \
--url https://checkout.dintero.com/v1/admin/gateways/klarna/credentials \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"data": {
"url": "https://api.klarna.com",
"username": "PK27631_9dfg28uy0p43",
"merchant_id": "PK27631",
"password": "<string>"
}
}
'import requests
url = "https://checkout.dintero.com/v1/admin/gateways/klarna/credentials"
payload = {
"name": "<string>",
"data": {
"url": "https://api.klarna.com",
"username": "PK27631_9dfg28uy0p43",
"merchant_id": "PK27631",
"password": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
data: {
url: 'https://api.klarna.com',
username: 'PK27631_9dfg28uy0p43',
merchant_id: 'PK27631',
password: '<string>'
}
})
};
fetch('https://checkout.dintero.com/v1/admin/gateways/klarna/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/gateways/klarna/credentials"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"data\": {\n \"url\": \"https://api.klarna.com\",\n \"username\": \"PK27631_9dfg28uy0p43\",\n \"merchant_id\": \"PK27631\",\n \"password\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://checkout.dintero.com/v1/admin/gateways/klarna/credentials")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"data\": {\n \"url\": \"https://api.klarna.com\",\n \"username\": \"PK27631_9dfg28uy0p43\",\n \"merchant_id\": \"PK27631\",\n \"password\": \"<string>\"\n }\n}")
.asString();{
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 1,
"updated_by": "<string>"
}{
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 1,
"updated_by": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}klarna-gateway
Create Klarna credentials
scopes:
- admin:dintero
PUT
https://checkout.dintero.com/v1
/
admin
/
gateways
/
klarna
/
credentials
admin_gateways_klarna_credentials_put
curl --request PUT \
--url https://checkout.dintero.com/v1/admin/gateways/klarna/credentials \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"data": {
"url": "https://api.klarna.com",
"username": "PK27631_9dfg28uy0p43",
"merchant_id": "PK27631",
"password": "<string>"
}
}
'import requests
url = "https://checkout.dintero.com/v1/admin/gateways/klarna/credentials"
payload = {
"name": "<string>",
"data": {
"url": "https://api.klarna.com",
"username": "PK27631_9dfg28uy0p43",
"merchant_id": "PK27631",
"password": "<string>"
}
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
data: {
url: 'https://api.klarna.com',
username: 'PK27631_9dfg28uy0p43',
merchant_id: 'PK27631',
password: '<string>'
}
})
};
fetch('https://checkout.dintero.com/v1/admin/gateways/klarna/credentials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://checkout.dintero.com/v1/admin/gateways/klarna/credentials"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"data\": {\n \"url\": \"https://api.klarna.com\",\n \"username\": \"PK27631_9dfg28uy0p43\",\n \"merchant_id\": \"PK27631\",\n \"password\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("x-api-key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://checkout.dintero.com/v1/admin/gateways/klarna/credentials")
.header("x-api-key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"data\": {\n \"url\": \"https://api.klarna.com\",\n \"username\": \"PK27631_9dfg28uy0p43\",\n \"merchant_id\": \"PK27631\",\n \"password\": \"<string>\"\n }\n}")
.asString();{
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 1,
"updated_by": "<string>"
}{
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 1,
"updated_by": "<string>"
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}{
"error": {
"message": "<string>",
"code": "<string>",
"errors": [
{}
]
}
}Authorizations
adminKeyJWT
X-API-Key authentication for accessing admin endpoints. Use Create api-key to create a key.
The content of the header should look like the following:
x-api-key: {api_key}
Query Parameters
Overwrite an existing credential
Body
application/json
The unique id that identifies the credential (username)
configuration for Klarna GW
Show child attributes
Show child attributes
Use the credential to configure gateway Will create new credential from existing gateway so existing transactions created with the old configuration can continue to work
Show child attributes
Show child attributes
Last modified on July 14, 2026
⌘I